{% load i18n %}

<table class="table table-hover">
  <thead>
    <tr>
      <th>{% translate 'status'|capfirst %}</th>
      {% if show_processing %}
        <th>{% translate 'processing line'|capfirst %}</th>
      {% endif %}
      <th>{% translate 'rescue number'|capfirst %}</th>
      <th>{% translate 'name'|capfirst %}</th>
      {% if show_type %}
        <th>{% translate 'type'|capfirst %}</th>
      {% endif %}
      <th>{% translate 'priority'|capfirst %}</th>
      <th class="w-25"></th>
    </tr>
  </thead>
  <tbody>
    {% for stabilization_measure in stabilization_measures %}
      {% with artefact=stabilization_measure.artefact %}
        <tr onclick="window.location='{{ artefact.get_absolute_url }}'">
          {% if stabilization_measure.status %}
            <td> {{ stabilization_measure.get_status_display }}</td>
          {% else %}
            <td>-</td>
          {% endif %}
          {% if show_processing %}
            {% if stabilization_measure.processing_line %}
              <td>
                <a href="{{ stabilization_measure.processing_line.get_absolute_url }}">{{ stabilization_measure.processing_line }}</a>
              </td>
            {% else %}
              <td>-</td>
            {% endif %}
          {% endif %}
          <td>
            {{ artefact.rescue_number }}
            {% if artefact.hazard %}<i class="bi {{ artefact.hazard.icon_class }} text-danger ms-2"></i>{% endif %}
            {% if artefact.composed_object %}<i class="bi {{ artefact.icon }} ms-2"></i>{% endif %}
          </td>
          <td>{{ artefact.name }}{% if artefact.inventory_number %} ({{ artefact.inventory_number }}){% endif %}</td>
          {% if show_type %}
            <td>{% if artefact.artefact_type %}{{ artefact.artefact_type }}{% endif %}</td>
          {% endif %}
          <td>{% if artefact.priority %}<span class="color-box" style="background-color:{{ artefact.priority.color }}"></span>{{ artefact.priority }}{% endif %}</td>
          <td><img src="{{ artefact.default_picture.url }}" class="img-fluid"> </td>
        </tr>
      {% endwith %}
    {% endfor %}
  </tbody>
</table>
